<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/Recipes/Recipes/CutOutSeeds.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d31/_cut_out_seeds_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CutOutSeeds.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/d31/_cut_out_seeds_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span><a class="code hl_class" href="../../da/d80/class_cut_out_seeds.html">CutOutSeeds</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../db/d2a/class_recipe_base.html">RecipeBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{   </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../db/d2a/class_recipe_base.html#ac57012907715de1452f577c9693805bc">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d2a/class_recipe_base.html#ac57012907715de1452f577c9693805bc">Init</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../db/d2a/class_recipe_base.html#a26f4744e99b76ecd22e386cedcf95bb7">    8</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d2a/class_recipe_base.html#a26f4744e99b76ecd22e386cedcf95bb7">CanDo</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> ingredients[], <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)<span class="comment">//final check for recipe&#39;s validity</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../db/d2a/class_recipe_base.html#a7a710eb8417a3bb99b41015d96e88a91">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d2a/class_recipe_base.html#a7a710eb8417a3bb99b41015d96e88a91">Do</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> ingredients[], <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ItemBase&gt;</a> results, <span class="keywordtype">float</span> specialty_weight)<span class="comment">//gets called upon recipe&#39;s completion</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="comment">// Adjusts quantity of results to the quantity of the 1st ingredient</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_class" href="../../df/d7c/class_edible___base.html">Edible_Base</a> item_ingredient = <a class="code hl_class" href="../../df/d7c/class_edible___base.html">Edible_Base</a>.Cast(ingredients[0]);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keywordtype">float</span> MaxQuantity = item_ingredient.GetQuantityMax();</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordtype">float</span> CurrentQuantity = item_ingredient.GetQuantity();</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordtype">float</span> qtPercentage = CurrentQuantity / MaxQuantity;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_enumeration" href="../../d1/d0e/_food_stage_8c.html#a41b01b1ab76bb334479607981e0f22e8">FoodStageType</a> stage = item_ingredient.GetFoodStageType();</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keywordtype">float</span> seedMultiplier = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga892ecb1375c9b373969273223a5841f3">RandomFloat</a>(0.5, 1);        </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="comment">//Set seeds amount proportional to ingredient quantity. No seeds if the is less that 30% of ingredient</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keywordflow">if</span>(qtPercentage &lt; 0.3)</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            seedMultiplier = 0;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            seedMultiplier *= qtPercentage;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="comment">//Set seeds amount based on the stage of the ingredient</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">switch</span>(stage)</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d1/d0e/_food_stage_8c.html#a41b01b1ab76bb334479607981e0f22e8">FoodStageType</a>.BURNED:</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d1/d0e/_food_stage_8c.html#a41b01b1ab76bb334479607981e0f22e8">FoodStageType</a>.BOILED:</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d1/d0e/_food_stage_8c.html#a41b01b1ab76bb334479607981e0f22e8">FoodStageType</a>.BAKED:</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>                seedMultiplier *= 0;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d1/d0e/_food_stage_8c.html#a41b01b1ab76bb334479607981e0f22e8">FoodStageType</a>.DRIED:</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d1/d0e/_food_stage_8c.html#a41b01b1ab76bb334479607981e0f22e8">FoodStageType</a>.ROTTEN:</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>                seedMultiplier *= 0.5;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                <span class="keywordflow">break</span>;  </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d1/d0e/_food_stage_8c.html#a41b01b1ab76bb334479607981e0f22e8">FoodStageType</a>.RAW:</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            <span class="keywordflow">default</span>:</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>                seedMultiplier *= 1;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> result = results[0];</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordtype">float</span> maxQuantity = result.GetQuantityMax();</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordtype">float</span> resultQty = m_ResultSetQuantity[0]/ maxQuantity;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        resultQty *= seedMultiplier * maxQuantity;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        resultQty = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gac9f0b1b548394cf668a86362a32de298">Ceil</a>(resultQty);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        result.SetQuantity(resultQty);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#ac759558b1dd4e820330546c994a9d840">Log</a>(<span class="stringliteral">&quot;Recipe Do method called&quot;</span>,<span class="stringliteral">&quot;recipes&quot;</span>);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>};</div>
<div class="ttc" id="a_food_stage_8c_html_a41b01b1ab76bb334479607981e0f22e8"><div class="ttname"><a href="../../d1/d0e/_food_stage_8c.html#a41b01b1ab76bb334479607981e0f22e8">FoodStageType</a></div><div class="ttdeci">FoodStageType</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d0e/_food_stage_8c_source.html#l00001">FoodStage.c:2</a></div></div>
<div class="ttc" id="aclass_cut_out_seeds_html"><div class="ttname"><a href="../../da/d80/class_cut_out_seeds.html">CutOutSeeds</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/da7/_cut_out_pepper_seeds_8c_source.html#l00001">CutOutPepperSeeds.c:2</a></div></div>
<div class="ttc" id="aclass_debug_html"><div class="ttname"><a href="../../da/d7d/class_debug.html">Debug</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00013">Debug.c:14</a></div></div>
<div class="ttc" id="aclass_debug_html_ac759558b1dd4e820330546c994a9d840"><div class="ttname"><a href="../../da/d7d/class_debug.html#ac759558b1dd4e820330546c994a9d840">Debug::Log</a></div><div class="ttdeci">static void Log(string message=LOG_DEFAULT, string plugin=LOG_DEFAULT, string author=LOG_DEFAULT, string label=LOG_DEFAULT, string entity=LOG_DEFAULT)</div><div class="ttdoc">Prints debug message with normal prio.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00130">Debug.c:130</a></div></div>
<div class="ttc" id="aclass_edible___base_html"><div class="ttname"><a href="../../df/d7c/class_edible___base.html">Edible_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d78/_bear_steak_meat_8c_source.html#l00001">BearSteakMeat.c:2</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_recipe_base_html"><div class="ttname"><a href="../../db/d2a/class_recipe_base.html">RecipeBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/da8/_recipe_base_8c_source.html#l00004">RecipeBase.c:5</a></div></div>
<div class="ttc" id="aclass_recipe_base_html_a26f4744e99b76ecd22e386cedcf95bb7"><div class="ttname"><a href="../../db/d2a/class_recipe_base.html#a26f4744e99b76ecd22e386cedcf95bb7">RecipeBase::CanDo</a></div><div class="ttdeci">override bool CanDo(ItemBase ingredients[], PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d31/_cut_out_seeds_8c_source.html#l00008">CutOutSeeds.c:8</a></div></div>
<div class="ttc" id="aclass_recipe_base_html_a7a710eb8417a3bb99b41015d96e88a91"><div class="ttname"><a href="../../db/d2a/class_recipe_base.html#a7a710eb8417a3bb99b41015d96e88a91">RecipeBase::Do</a></div><div class="ttdeci">override void Do(ItemBase ingredients[], PlayerBase player, array&lt; ItemBase &gt; results, float specialty_weight)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d31/_cut_out_seeds_8c_source.html#l00013">CutOutSeeds.c:13</a></div></div>
<div class="ttc" id="aclass_recipe_base_html_ac57012907715de1452f577c9693805bc"><div class="ttname"><a href="../../db/d2a/class_recipe_base.html#ac57012907715de1452f577c9693805bc">RecipeBase::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d31/_cut_out_seeds_8c_source.html#l00003">CutOutSeeds.c:3</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga892ecb1375c9b373969273223a5841f3"><div class="ttname"><a href="../../d5/d98/group___math.html#ga892ecb1375c9b373969273223a5841f3">Math::RandomFloat</a></div><div class="ttdeci">static proto float RandomFloat(float min, float max)</div><div class="ttdoc">Returns a random float number between and min[inclusive] and max[exclusive].</div></div>
<div class="ttc" id="agroup___math_html_gac9f0b1b548394cf668a86362a32de298"><div class="ttname"><a href="../../d5/d98/group___math.html#gac9f0b1b548394cf668a86362a32de298">Math::Ceil</a></div><div class="ttdeci">static proto float Ceil(float f)</div><div class="ttdoc">Returns ceil of value.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_9c03c092f9469dd2c1a1487fb696496c.html">Recipes</a></li><li class="navelem"><a class="el" href="../../dir_1e551e3d1cfd5aa97359527957b79f54.html">Recipes</a></li><li class="navelem"><a class="el" href="../../d8/d31/_cut_out_seeds_8c.html">CutOutSeeds.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
